﻿using System.Configuration;

namespace ACleanCoder.ProviderPattern.Example
{
    public sealed class EngineConfigurationSection : ConfigurationSection
    {
        [ConfigurationProperty("providers", IsRequired = true)]
        public ProviderSettingsCollection Providers
        {
            get
            {
                return (ProviderSettingsCollection)this["providers"];
            }
            private set
            {
                this["providers"] = value;
            }
        }

        [ConfigurationProperty("defaultProvider", IsRequired = true)]
        public string DefaultProvider
        {
            get
            {
                return (string)this["defaultProvider"];
            }
            private set
            {
                this["defaultProvider"] = value;
            }
        }
    }
}